Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine
Class TextParameter

    java.lang.Object
      com.rie.rieps.engine.TextParameter

    public class TextParameter

extends java.lang.Object

Author:
  yves

Field Summary
`static int` | `HZ_CENTER`
`static int` | `HZ_JUSTIFY`
`static int` | `HZ_LEFT`
`static int` | `HZ_RIGHT`
`static int` | `VERT_BOTTOM`
`static int` | `VERT_MIDDLE`
`static int` | `VERT_TOP`

Constructor Summary
`TextParameter(int hz, int v, Color col, float rotate, boolean verticalclip)`

Method Summary
`Color` | `getColor()`
`int` | `getHorizontal()`
`float` | `getRotate()`
`int` | `getVertical()`
`boolean` | `isClip()`
`TextParameter` | `setClip(boolean clip)`
`TextParameter` | `setColor(Color color)`
`TextParameter` | `setHorizontal(int hz)`
`TextParameter` | `setRotate(float rotate)`
`TextParameter` | `setVertical(int v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HZ_LEFT

    public static final int HZ_LEFT

See Also:
  Constant Field Values

### HZ_CENTER

    public static final int HZ_CENTER

See Also:
  Constant Field Values

### HZ_RIGHT

    public static final int HZ_RIGHT

See Also:
  Constant Field Values

### HZ_JUSTIFY

    public static final int HZ_JUSTIFY

See Also:
  Constant Field Values

### VERT_TOP

    public static final int VERT_TOP

See Also:
  Constant Field Values

### VERT_MIDDLE

    public static final int VERT_MIDDLE

See Also:
  Constant Field Values

### VERT_BOTTOM

    public static final int VERT_BOTTOM

See Also:
  Constant Field Values

Constructor Detail

### TextParameter

    public TextParameter(int hz,
                         int v,
                         Color col,
                         float rotate,
                         boolean verticalclip)

Method Detail

### setHorizontal

    public TextParameter setHorizontal(int hz)

### setVertical

    public TextParameter setVertical(int v)

### getHorizontal

    public int getHorizontal()

### getVertical

    public int getVertical()

### getColor

    public Color getColor()

### setColor

    public TextParameter setColor(Color color)

### getRotate

    public float getRotate()

### setRotate

    public TextParameter setRotate(float rotate)

### isClip

    public boolean isClip()

### setClip

    public TextParameter setClip(boolean clip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD